TilingAdapter.TiledAdapter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class TilingAdapter.TiledAdapter

    java.lang.Object
      com.bbn.openmap.layer.vpf.TilingAdapter.TiledAdapter

All Implemented Interfaces:
  TilingAdapter

Enclosing interface:
  TilingAdapter

    public static class TilingAdapter.TiledAdapter

extends java.lang.Object
implements TilingAdapter

A TilingAdapter where the tile identifier is retrieved from the tile_id column, and the primitive identifier comes from a numeric column.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.layer.vpf.TilingAdapter
`TilingAdapter.CrossTileAdapter, TilingAdapter.TiledAdapter, TilingAdapter.UntiledAdapter`

Constructor Summary
`TilingAdapter.TiledAdapter(int tilecolumn, int primcolumn)`

Method Summary
`DcwCrossTileID` | `getPrim(java.util.List<java.lang.Object> l)` Get the full set of primitive information
`int` | `getPrimId(java.util.List<java.lang.Object> l)` Get the primitive identifier in the current tile
`int` | `getTileId(java.util.List<java.lang.Object> l)` Get the tile identifier for the alternate tile
`int` | `getTilePrimId(java.util.List<java.lang.Object> l)` Get the primitive identifier in the alternate tile

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilingAdapter.TiledAdapter

    public TilingAdapter.TiledAdapter(int tilecolumn,
                                      int primcolumn)

Method Detail

### getTileId

    public int getTileId(java.util.List<java.lang.Object> l)

  Description copied from interface: `TilingAdapter`
  Get the tile identifier for the alternate tile

  Specified by:
    `getTileId` in interface `TilingAdapter`
  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the tile id of the alternate tile

### getPrimId

    public int getPrimId(java.util.List<java.lang.Object> l)

  Description copied from interface: `TilingAdapter`
  Get the primitive identifier in the current tile

  Specified by:
    `getPrimId` in interface `TilingAdapter`
  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the primitive id in the current tile

### getTilePrimId

    public int getTilePrimId(java.util.List<java.lang.Object> l)

  Description copied from interface: `TilingAdapter`
  Get the primitive identifier in the alternate tile

  Specified by:
    `getTilePrimId` in interface `TilingAdapter`
  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the primitive id in the alternate tile

### getPrim

    public DcwCrossTileID getPrim(java.util.List<java.lang.Object> l)

  Description copied from interface: `TilingAdapter`
  Get the full set of primitive information

  Specified by:
    `getPrim` in interface `TilingAdapter`
  Parameters:
    `l` - a row of the table this adapter was created for
  Returns:
    the full cross tile identifier information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details